function p.get_is_solid() return false end
function p.get_tex() return "" end

function p.main()
    set_default_block("e")
    below_type = get_input_adj_bt(0,0,-1)
    if( below_type == "block_s" ) then
        --Can actually have an (Onion the cat) dandelion.
        create_rect("r_green", 7,7,0, 7,7,7)
        create_rect("r_onion_the_cat", 6,6,6, 8,8,8)
    end
end
